Bug 596357

Summary: SwapError: swapon failed for '/dev/mapper/vg_tkontolap-lv_swap'
Product: [Fedora] Fedora Reporter: Theophanis Kontogiannis <theophanis_kontogiannis>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: anaconda-maint-list, jonathan, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: anaconda_trace_hash:e8b8c9c82ce9ed657abb39c81b04c7882da27357159900464bd1f6223a11a9e6
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-13 14:38:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Attached traceback automatically from anaconda. none

Description Theophanis Kontogiannis 2010-05-26 16:21:52 UTC
The following was filed automatically by anaconda:
anaconda 13.42 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/swap.py", line 93, in swapon
    raise SwapError("swapon failed for '%s'" % device)
  File "/usr/lib/anaconda/storage/formats/swap.py", line 133, in setup
    swap.swapon(self.device, priority=self.priority)
  File "/usr/lib/anaconda/storage/__init__.py", line 1822, in turnOnSwap
    device.format.setup()
  File "/usr/lib/anaconda/storage/__init__.py", line 1135, in turnOnSwap
    self.fsset.turnOnSwap(self.anaconda, upgrading=upgrading)
  File "/usr/lib/anaconda/upgrade.py", line 241, in upgradeMountFilesystems
    anaconda.storage.turnOnSwap(upgrading=True)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 228, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/gui.py", line 1346, in setScreen
    (step, anaconda) = self.anaconda.dispatch.currentStep()
  File "/usr/lib/anaconda/gui.py", line 1522, in setup_window
    self.setScreen()
  File "/usr/lib/anaconda/gui.py", line 1532, in run
    self.setup_window(runres)
  File "/usr/lib/anaconda/gui.py", line 1263, in run
    self.icw.run (self.runres)
  File "/usr/bin/anaconda", line 1223, in <module>
    anaconda.intf.run(anaconda)
SwapError: swapon failed for '/dev/mapper/vg_tkontolap-lv_swap'

Comment 1 Theophanis Kontogiannis 2010-05-26 16:21:57 UTC
Created attachment 416916 [details]
Attached traceback automatically from anaconda.

Comment 2 Chris Lumens 2010-08-12 20:51:00 UTC
Are you able to reliably reproduce this problem?

Comment 3 Theophanis Kontogiannis 2010-08-13 10:36:31 UTC
Unfortunatelly never.
I think this had something to do with corrupted upgrade from FC12 to FC13.
Some time in June I proceeded to a clean install of FC13.

I think we can close this bug due to lack of data.